Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class PhaseRule

    java.lang.Object
      org.apache.axis2.description.PhaseRule

All Implemented Interfaces:
  java.io.Serializable

    public class PhaseRule

extends java.lang.Object
implements java.io.Serializable

Class PhaseRule

See Also:
  Serialized Form

Constructor Summary
`PhaseRule()` Constructor PhaseRule.
`PhaseRule(java.lang.String phaseName)`

Method Summary
`java.lang.String` | `getAfter()` Method getAfter.
`java.lang.String` | `getBefore()` Method getBefore.
`java.lang.String` | `getPhaseName()` Method getPhaseName.
`boolean` | `isPhaseFirst()` Method isPhaseFirst.
`boolean` | `isPhaseLast()` Method isPhaseLast.
`void` | `setAfter(java.lang.String after)` Set the "after" name for this rule.
`void` | `setBefore(java.lang.String before)` Set the "before" name for this rule.
`void` | `setPhaseFirst(boolean phaseFirst)` Method setPhaseFirst.
`void` | `setPhaseLast(boolean phaseLast)` Method setPhaseLast.
`void` | `setPhaseName(java.lang.String phaseName)` Method setPhaseName.
`void` | `validate()` Validate "sane" rules - cannot have both phaseFirst/phaseLast and before/after

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhaseRule

    public PhaseRule()

  Constructor PhaseRule.

### PhaseRule

    public PhaseRule(java.lang.String phaseName)

Method Detail

### getAfter

    public java.lang.String getAfter()

  Method getAfter.

  Returns:
    Returns String.

### getBefore

    public java.lang.String getBefore()

  Method getBefore.

  Returns:
    Returns String.

### getPhaseName

    public java.lang.String getPhaseName()

  Method getPhaseName.

  Returns:
    Returns String.

### isPhaseFirst

    public boolean isPhaseFirst()

  Method isPhaseFirst.

  Returns:
    Returns boolean.

### isPhaseLast

    public boolean isPhaseLast()

  Method isPhaseLast.

  Returns:
    Returns boolean.

### setAfter

    public void setAfter(java.lang.String after)

  Set the "after" name for this rule.

  Parameters:
    `after` - the name of the "after" handler

### setBefore

    public void setBefore(java.lang.String before)

  Set the "before" name for this rule.

  Parameters:
    `before` - the name of the "before" handler

### setPhaseFirst

    public void setPhaseFirst(boolean phaseFirst)

  Method setPhaseFirst.

  Parameters:
    `phaseFirst` - true if this rule defines the first Handler in a Phase

### setPhaseLast

    public void setPhaseLast(boolean phaseLast)

  Method setPhaseLast.

  Parameters:
    `phaseLast` - true if this rule defines the last Handler in a Phase

### setPhaseName

    public void setPhaseName(java.lang.String phaseName)

  Method setPhaseName.

  Parameters:
    `phaseName` - the name of the Phase

### validate

    public void validate()
                  throws PhaseException

  Validate "sane" rules - cannot have both phaseFirst/phaseLast and before/after

  Throws:
    `PhaseException` - if phaseFirst/phaseLast is set along with before/after

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.